import 'package:http/http.dart';

class ServiceUtil {
  static final List _successResponseCodes = [200, 201, 202, 204, 206];

  static Map<String, String> acceptHeader() {
    return {
      'accept': 'application/json',
    };
  }

  static Map<String, String> contentHeaders() {
    return {
      'Content-Type': 'application/json',
    };
  }

  static Map<String, String> authorizationHeader(String accessToken) {
    return {
      'Authorization': 'Bearer $accessToken'
    };
  }

  static bool isSuccess(Response response) {
    if(_successResponseCodes.contains(response.statusCode)) {
      return true;
    }
    return false;
  }
}